
package de.ivu.elect.business.system.entity;

import de.ivu.elect.business.benutzerverwaltung.entity.Benutzer;
import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.mandant.entity.MandantPK;
import de.ivu.elect.business.security.UseCasePermission;

public interface ElectSimplePrincipal {

  boolean isAdmin();

  boolean hatRolle(String rolleName);

  boolean hasUseCasePermission(UseCasePermission rechtAlleGebiete);

  Benutzer getLogin();

  Mandant getMandant();

  MandantPK getMandantPK();

  String getNameFuerProtokollierung();
}
